# Generated by Django 2.0.6 on 2018-07-02 07:41

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=255)),
                ('date', models.DateField(auto_now=True)),
                ('user', models.ForeignKey(help_text='who answered the question', on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.CharField(blank=True, max_length=255)),
                ('ether', models.FloatField(default=0)),
                ('expiration_date', models.DateField()),
                ('added_date', models.DateField(auto_now=True)),
                ('answer', models.ManyToManyField(to='app.Answer')),
                ('user', models.ForeignKey(help_text='who asked a question', on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
